Package com.sas.lsaf.content.repository

## Class CopyToWorkspaceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.sas.lsaf.core.AbstractRuntimeException
        - - com.sas.lsaf.content.repository.CopyToWorkspaceException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class CopyToWorkspaceException
      extends AbstractRuntimeException

  Thrown when the item to copy has been marked as `RepositoryItem.Syncable.DENY` or `RepositoryItem.Syncable.DENY_ALL`.
  Since:
    1.8
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CopyToWorkspaceException​(java.lang.String path, java.lang.String message)` | Constructs a `CopyToWorkspaceException` with the specified path and detail message.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getPath()` | Return the path to the item that caused the exception.

    - ### Methods inherited from class com.sas.lsaf.core.AbstractRuntimeException

      `getMessage, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CopyToWorkspaceException

          public CopyToWorkspaceException​(java.lang.String path,
                                          java.lang.String message)

      Constructs a `CopyToWorkspaceException` with the specified path and detail message.
      Parameters:
        `path` - The path to the item that caused the exception.
        `message` - The detail message.

  - ### Method Detail

    - #### getPath

          public java.lang.String getPath()

      Return the path to the item that caused the exception.
      Returns:
        The path of the item.